<?php
/**
 * Plugin Name: Majestic SEO Dashboard Widget
 * Plugin URI: http://www.dantaylorseo.com/plugins/majestic-seo-dashboard-graphs
 * Description: Majestic SEO Dashboard Widget
 * Version: 0.1.2b
 * Author: Dan Taylor
 * Author URI: http://www.dantaylorseo.com/
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */
// Create the function to output the contents of our Dashboard Widget

function show_dashboard_widget() {
	// Display whatever it is you want to show
	$url = $_SERVER['SERVER_NAME'];
        $url = str_replace('www.','',$url);
	
	echo '
	<div id="tabSystem">
<ul class="htabs hide">
	<li class="sell" style="float: left; padding: 10px;"><a href="#sell">Cumulative View</a></li>
	<li class="car" style="float: left; padding: 10px;"><a href="#quick">Monthly View</a></li>
	<li class="quick" style="float: left; padding: 10px;"><a href="#buy">Normalized</a></li>
</ul>

<div class="tabs">
	<div id="sell" class="tab">
		<img src="http://www.majesticseo.com/domaincharts.php?d='.$url.'&w=565&h=250&t=l&a=1&ctype=" />
	</div>
	<div id="quick" class="tab">
			<img src="http://www.majesticseo.com/domaincharts.php?d='.$url.'&w=565&h=250&t=l&ctype=" />

	</div>
	<div id="buy" class="tab">
				<img src="http://www.majesticseo.com/domaincharts.php?d='.$url.'&w=565&h=250&t=ls&ctype=" />

	</div></div></div>
	
	<table width="100%"><tr><td width="50%" align="left">Reports by <a href="http://www.majesticseo.com/comparedomainbacklinkhistory.php?d0='.$url.'">Majestic SEO</a></td><td width="50%" style="text-align:right;">Plugin by <a href="http://www.dantaylorseo.com">Dan Taylor</a> of <a href="http://www.justsearching.co.uk">Just Search</a></td></tr></table>';
} 

// Create the function use in the action hook

function majestic_add_dashboard_widgets() {
	wp_add_dashboard_widget('majestic_seo_dashboard_widget', 'Majestic SEO - Backlink Charts', 'show_dashboard_widget');	
} 
function majestic_plugin_downloads_head() {
				echo '<script type="text/javascript" charset="utf-8">
function cctabs() {
	jQuery(".tab:not(:first)").hide();
	jQuery(".tab:first").show();
	jQuery(".htabs a:first").addClass("gt_active");
	jQuery(".htabs a").click(function(){
		jQuery(\'.htabs a\').removeClass(\'gt_active\');
		jQuery(this).addClass("gt_active");
		stringref=jQuery(this).attr("href").split(\'#\')[1];
		jQuery(\'.tab:not(#\'+stringref+\')\').hide();
		if(jQuery.browser.msie&&jQuery.browser.version.substr(0,3)=="6.0"){
			jQuery(\'.tab#\'+stringref).show();
		}
	else
		jQuery(\'.tab#\'+stringref).show();
		return false;
	});
}
jQuery(document).ready(function() {
	
	cctabs()
});

</script>';
			}

// Hook into the 'wp_dashboard_setup' action to register our other functions
add_action('admin_footer','majestic_plugin_downloads_head',99);
add_action('wp_dashboard_setup', 'majestic_add_dashboard_widgets' );
?>